Subject: bug#17879: 24.3.92; package-refresh-contents hangs at contacting host melpa.milbox.net:80

From: David Caldwell <[email-masked]>
Date: Wed, 02 Jul 2014 21:38:01 -0700

On 7/2/14 8:15 PM, Terje Sten Bjerkseth wrote:
> 
> 2014-06-29 16:43 GMT-07:00 Glenn Morris <[email-masked] <mailto:[email-masked]>>:
> 
>     Works for me on GNU/Linux.
>     Is 24.3.92 hanging at the exact same time that 24.3 works?
>     Ie, are you sure it is not an issue with the remote host?
> 
> Yes, it always hangs on recent builds while the previous builds always
> works. I can swap between the versions to reproduce the problem, so I
> don't think it's a host issue. Also, it appears to not only apply to
> melpa, but to all three repositories. It appears to mostly work for the
> first two (elpa and orgmode). I.e. it always hangs on the recent builds,
> but usually at the third repo - melpa.
> 
> I'm using the builds from http://emacsforosx.com/builds.
>
> It works fine on e.g. 2014-04-01, 2014-05-01, 2014-05-17 and 2014-05-24.
> There is no build dated 2014-05-25.
> It fails on 2014-05-26, 2014-05-27, 2014-06-01 and all the more recent
> ones I've tried up to and including 2014-06-28. [*]
> 
> So it looks like something may have changed on 2014-05-25 or 2014-05-26
> that affects me.
> 
> It also looks like there weren't any changes to the build scripts for
> emacsforosx between April 9 and June 14, so I'm thinking that the
> problem isn't in the packaging.

FWIW, I tried running the emacsformacosx.com version 24.3.92 and the
nightly from both 2014-06-28 and 2014-06-29 and all are working for me.
I'm running OS X 10.9 (looks like you are too).

Maybe it's something in your .emacs? Did you do the tests after
launching Emacs with -Q? On OS X you have to do it from Terminal:

  /Applications/Emacs.app/Contents/MacOS/Emacs -Q

-David